## font-manager 0.7.3

=== build-aux/Makefile ===

PACKAGE_NAME = font-manager
PACKAGE_VERSION = 0.7.3

abs_top_srcdir = $(shell realpath ../)
abs_srcdir = $(shell realpath .)
SED = $(shell which sed)


POTFILES.readme:
	echo "Do not edit POTFILES.* directly. See build-aux directory" > $(abs_top_srcdir)/po/$@

POTFILES.in:
	find $(abs_top_srcdir) -name "*.vala*" -print | $(SED) -e 's|$(abs_top_srcdir)/||g' -e 's/\.in//g' | sort | uniq > $(abs_top_srcdir)/po/$@ ;
	echo "[type: gettext/glade]data/ApplicationMenu.ui" >> $(abs_top_srcdir)/po/$@ ;
	echo "data/org.gnome.FontManager.appdata.xml.in" >> $(abs_top_srcdir)/po/$@ ;
	echo "data/org.gnome.FontManager.desktop.in" >> $(abs_top_srcdir)/po/$@ ;
	echo "" >> $(abs_top_srcdir)/po/$@ ;
	$(SED) -i 's|\.\./||g' $(abs_top_srcdir)/po/$@ ;

POTFILES.skip:
	find $(abs_top_srcdir) -name "*.vala*" -print | $(SED) -e 's|$(abs_top_srcdir)/||g' -e 's/\.in//g' | sort | uniq | $(SED) 's/.vala/.c/g' > $(abs_top_srcdir)/po/$@ ;
	$(SED) -i 's|\.\./||g' $(abs_top_srcdir)/po/$@ ;
	echo "lib/Glue/Enums.c" >> $(abs_top_srcdir)/po/$@ ;

POT:
	cd $(abs_top_srcdir) && \
	test -e Makefile || ./autogen.sh && \
	make $(PACKAGE_NAME).pot && \
	cd $(abs_srcdir)

write_sources = \
	for i in `find . -type f -name '*.vala*' -print | $(SED) 's/\.in//g' | sort | uniq`; \
	do \
		echo "$$i \\" >> $1  ; \
	done && \
	$(SED) -i -e 's/^\.\//	/g' -e '$$ s/\\//' $1

ValaSources.mk:
	cd $(abs_top_srcdir)/lib && \
	echo "# Do not edit directly. See build-aux directory" > $@ && \
	echo "" >> $@ && \
	echo "libfontmanager_la_VALASOURCES = \\" >> $@ && \
	$(call write_sources,$@) && \
	cd $(abs_top_srcdir)/src/$(PACKAGE_NAME) && \
	echo "# Do not edit directly. See build-aux directory" > $@ && \
	echo "" >> $@ && \
	echo "font_manager_VALASOURCES = \\" >> $@ && \
	$(call write_sources,$@) && \
	cd $(abs_srcdir)

License.h:
	license/genheader.py $(abs_top_srcdir)/lib/Glue

Vendor.h:
	vendor/genheader.py $(abs_top_srcdir)/lib/Glue

update-headers: License.h Vendor.h
update-po: POTFILES.readme POTFILES.in POTFILES.skip POT
update-sources: ValaSources.mk
update: update-headers update-po update-sources

# Fedora RPM packaging

rpm-prep:
	@echo -e "\n**** Need to ensure rpmdevtools are installed\n";
	pkexec dnf install rpmdevtools
	@echo -e "\n**** Need to ensure build dependencies are installed\n";
	pkexec dnf builddep $(abs_top_srcdir)/fedora/$(PACKAGE_NAME).spec
	cd $(abs_top_srcdir) && \
	test -e Makefile || ./autogen.sh && \
	make dist-bzip2 && \
	rpmdev-setuptree && \
	cp *.bz2 ~/rpmbuild/SOURCES/ && \
	cp fedora/$(PACKAGE_NAME).spec ~/rpmbuild/SPECS/ && \
	cd $(abs_srcdir)
	rm -f ~/rpmbuild/SRPMS/$(PACKAGE_NAME)*.src.rpm

rpm: rpm-prep
	rpmbuild -bb ~/rpmbuild/SPECS/$(PACKAGE_NAME).spec

srpm: rpm-prep
	rpmbuild -bs ~/rpmbuild/SPECS/$(PACKAGE_NAME).spec

copr-build: srpm
	@echo -e "\n**** Need to ensure copr-cli is installed\n";
	pkexec dnf install copr-cli
	copr-cli build --nowait jerrycasiano/FontManager ~/rpmbuild/SRPMS/$(PACKAGE_NAME)*.src.rpm

# Debian? packaging
# Tested on Ubuntu

deb:
	@echo "\n**** Need to ensure build dependencies are installed\n";
	sudo apt-get install devscripts equivs
	cd $(abs_top_srcdir) && \
	mk-build-deps $(abs_top_srcdir)/debian/control && \
	sudo dpkg -i $(abs_top_srcdir)/*.deb && rm $(abs_top_srcdir)/*.deb && \
	test -e Makefile || ./autogen.sh && \
	make dist-bzip2 && \
	rm -rf BUILD && \
	mkdir BUILD && \
	mv $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.bz2 BUILD/$(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.bz2 && \
	cd BUILD && \
	tar -xvf $(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.bz2 && \
	cp -Rpf ../debian $(PACKAGE_NAME)-$(PACKAGE_VERSION) && \
	cp -pf ../autogen.sh $(PACKAGE_NAME)-$(PACKAGE_VERSION) && \
	cd $(abs_top_srcdir)/BUILD/$(PACKAGE_NAME)-$(PACKAGE_VERSION) && \
	debuild -us -uc && \
	cd $(abs_srcdir)

## font-manager 0.5.6

=== debian/changelog ===
font-manager (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on libpango1.0-dev.
  * Add Vcs fields.
  * Drop 01-desktop_file.patch, applied upstream.
  * Pass -Wl,--as-needed to the linker.
  * Use 'dh  --with foo' for compatibility with DH v8.
  * Add the kind Andrea Colangelo to the Uploaders list.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Aug 2010 15:59:35 +0200

font-manager (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #591790).

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Aug 2010 16:59:42 +0200

=== debian/control ===
Source: font-manager
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Uploaders: Andrea Colangelo <warp10@ubuntu.com>
Build-Depends: debhelper (>= 7),
 autotools-dev (>= 20100122.1~),
 libfontconfig-dev,
 python-dev,
 libglib2.0-dev,
 libpango1.0-dev,
 libfreetype6-dev,
 python-support
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/font-manager/
Vcs-Git: git://git.debian.org/collab-maint/font-manager.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/font-manager.git

Package: font-manager
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 python-gtk2,
 python-gobject,
 python-dbus,
 python-libxml2,
 ${misc:Depends}
Suggests: python-reportlab
Description: font management application for the GNOME desktop
 Font Manager currently allows the user to:
  - Preview installed fonts
  - Compare installed fonts
  - Easily install or remove fonts
  - Easily activate and de-activate installed fonts
  - Specify different directories to search for fonts
  - Group fonts into "Collections", and easily activate or
    de-activate groups of fonts
  - Export "Collections" to an archive for easy backup, sharing, etc.
  - Provides quick access to all GNOME font utilities.
 .
 Font Manager suggests the installation of python-reportlab to allow users
 to export font collections in the PDF format.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autotools_dev

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(font-manager-(.*)\.tar\.bz2).*#http://font-manager.googlecode.com/files/$1#,filenamemangle=s#.*(font-manager-(.*)\.tar\.bz2).*#$1# \
	http://code.google.com/p/font-manager/downloads/list \
		^.*detail?name=font-manager-(.*)\.tar\.bz2.*

## font-manager 0.5.7

=== debian/changelog ===
font-manager (0.5.7-4) unstable; urgency=low

  * Fix missing #includes to prevent FTBFS with GCC 4.7. (Closes: #672043)
  * debian/copyright:
    - Update copyright years.
    - Update to machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 May 2012 10:35:16 -0700

font-manager (0.5.7-3) unstable; urgency=low

  * debian/rules:
    - Enable dh-autoreconf add-on.
    - Pass --enable-debuginfo to configure to not strip objects
      from the library by default.
  * debian/control:
    - Bump debhelper build-dependency, override_* rules need
      dh >= 7.0.50~.
    - Build-depend on python-all-dev (>= 2.6.6-3).

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Mar 2011 12:35:50 +0100

font-manager (0.5.7-2) unstable; urgency=low

  * Don't remove cache dir if non-existent.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 18:43:57 +0100

font-manager (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Switch to use dh_python2.
  * debian/control:
    - Drop build-dep on python-support.
    - Update build-dependency on debhelper.
    - Build-depend on libsqlite3-dev.
    - Replace XS-Python-Version field with X-Python-Version.
  * Add sign-tags = True in debian/gbp.conf.
  * Update watch file to use debian.net's redirector.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Dec 2010 01:44:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,36 @@
 Section: graphics
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Uploaders: Andrea Colangelo <warp10@ubuntu.com>
-Build-Depends: debhelper (>= 7),
+Uploaders:
+ Andrea Colangelo <warp10@ubuntu.com>
+Build-Depends:
  autotools-dev (>= 20100122.1~),
+ debhelper (>= 7.0.50~),
+ dh-autoreconf,
  libfontconfig-dev,
- python-dev,
+ libfreetype6-dev,
  libglib2.0-dev,
  libpango1.0-dev,
- libfreetype6-dev,
- python-support
-XS-Python-Version: >= 2.6
-Standards-Version: 3.9.1
+ libsqlite3-dev,
+ python-all-dev (>= 2.6.6-3)
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/font-manager/
 Vcs-Git: git://git.debian.org/collab-maint/font-manager.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/font-manager.git
 
 Package: font-manager
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ python-dbus,
+ python-gobject,
+ python-gtk2,
+ python-libxml2,
+ ${misc:Depends},
  ${python:Depends},
- python-gtk2,
- python-gobject,
- python-dbus,
- python-libxml2,
- ${misc:Depends}
-Suggests: python-reportlab
+ ${shlibs:Depends}
+Suggests:
+ python-reportlab
 Description: font management application for the GNOME desktop
  Font Manager currently allows the user to:
   - Preview installed fonts

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with=autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --enable-debuginfo

=== debian/watch ===
version=3
http://googlecode.debian.net/p/font-manager/font-manager-(\d+.*)\.tar\.bz2

## font-manager 0.7.2

=== debian/changelog ===
font-manager (0.7.2-1) unstable; urgency=medium

  * Imported Upstream version 0.7.2 (Closes: #796817)
  * Update homepage (Closes: #830858)
  * Update debian/watch
  * debian/gbp.conf: set compression to gz
  * Update debian/copyright
  * Update patchset, add patch to avoid checking for
    the presence of file-roller at build time
  * Refresh build-dependencies
  * Refresh debian/rules
  * Refresh debian/docs
  * Remove debian/menu control file
  * Get rid of obsolete links file
  * Enable nautilus extension
  * Update Depends and Suggests fields
  * Fix Vcs fields
  * Add Vito Mulo to Uploaders field
  * Bump debhelper compat
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2016 22:11:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,46 @@
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
 Uploaders:
- Andrea Colangelo <warp10@ubuntu.com>
+ Andrea Colangelo <warp10@ubuntu.com>,
+ Vito Mulo <mulevito@gmail.com>
 Build-Depends:
  autotools-dev (>= 20100122.1~),
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
+ intltool,
  libfontconfig-dev,
  libfreetype6-dev,
+ libgee-0.8-dev,
+ libgirepository1.0-dev,
  libglib2.0-dev,
+ libgtk-3-dev (>= 3.12),
+ libgucharmap-2-90-dev,
+ libjson-glib-dev,
  libpango1.0-dev,
  libsqlite3-dev,
- python-all-dev (>= 2.6.6-3)
+ libxml2-dev,
+ python-all-dev (>= 2.6.6-3),
+ python-gobject,
+ python-nautilus (>= 1.0),
+ valac (>= 0.24),
+ yelp-tools
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/font-manager/
-Vcs-Git: git://git.debian.org/collab-maint/font-manager.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/font-manager.git
+Standards-Version: 3.9.8
+Homepage: http://fontmanager.github.io/
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/font-manager.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/font-manager.git
 
 Package: font-manager
 Architecture: any
 Depends:
- python-dbus,
- python-gobject,
- python-gtk2,
- python-libxml2,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
 Suggests:
- python-reportlab
+ file-roller,
+ python-gobject,
+ python-nautilus,
+ yelp
 Description: font management application for the GNOME desktop
  Font Manager currently allows the user to:
   - Preview installed fonts

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with=autoreconf,python2

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-pycompile --with-nautilus

## font-manager 0.7.3

=== debian/changelog ===
font-manager (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add add-ref-keyword.patch, fix-incompatible-types.patch:
    - Backport git patches to fix build with vala 0.36 (Closes: #873872)
  * Update Vcs fields

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Sep 2017 16:05:07 -0400

font-manager (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3:
    - Fix Json.Serializable.find_property incompatible
      return type error. Bump valac requirement to 0.34.1.
      See https://github.com/GNOME/vala/commit/28fa5311
      for a rationale. Closes: #839350
  * Clean up patches, adopted upstream

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Oct 2016 00:16:14 +0100

font-manager (0.7.2+0git410aa802-3) unstable; urgency=medium

  * Get rid of manually created post{inst,rm} (Closes: #837084)

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Sep 2016 21:39:43 +0100

font-manager (0.7.2+0git410aa802-2) unstable; urgency=medium

  * Patch forwarded
  * Disable tests.
    They need some work to be fully functional.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Sep 2016 14:38:00 +0100

font-manager (0.7.2+0git410aa802-1) unstable; urgency=medium

  * Imported Upstream version 0.7.2+0git410aa802
  * Remove manpages provided by Debian
  * Get rid of unnecessary build-deps
  * Turn file-roller presence check into into a conditional flag
  * Enable file-roller support
  * Fix Vito's last name
  * Remove Andrea Colangelo from Uploaders
  * Update the package's description
  * Refresh debian/rules and enable parallel builds
  * Refresh debian/copyright

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Sep 2016 01:17:02 +0100

=== debian/control ===
Source: font-manager
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Uploaders: Vito Mule <mulevito@gmail.com>
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 intltool,
 libfontconfig-dev,
 libfreetype6-dev,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libgtk-3-dev (>= 3.12),
 libgucharmap-2-90-dev,
 libjson-glib-dev,
 libpango1.0-dev,
 libsqlite3-dev,
 libxml2-dev,
 python-all-dev (>= 2.6.6-3),
 python-gobject,
 python-nautilus (>= 1.0),
 valac (>= 0.34.1~),
 yelp-tools
X-Python-Version: >= 2.6
Standards-Version: 3.9.8
Homepage: http://fontmanager.github.io/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/font-manager.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/font-manager.git

Package: font-manager
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 file-roller,
 python-gobject,
 python-nautilus,
 yelp
Description: font management application for the GNOME desktop
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf,python2

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh -- --with-nautilus

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-pycompile \
		--with-file-roller \
		--with-nautilus

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/font-manager/usr/lib \
		-name '*.la' -delete

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/font-manager-$1\.tar\.gz/ \
  https://github.com/FontManager/master/tags .*/v?(\d\S*)\.tar\.gz

## font-manager 0.7.7

=== meson_options.txt ===
option('nautilus', type: 'boolean', value: false, description: 'Install Nautilus extension')
option('nemo', type: 'boolean', value: false, description: 'Install Nemo extension')

=== debian/changelog ===
font-manager (0.7.7-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 May 2020 12:51:03 -0700

font-manager (0.7.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/changelog: Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unused license definitions for LGPL-3+.

  [ Boyuan Yang ]
  * Take over package maintenance via ITS process. (Closes: #955637)
  * debian/control: Update package maintainer and uploaders.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Apr 2020 00:26:10 -0400

font-manager (0.7.7-0.3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0001: Add patch to make the build reproducible.
    (Closes: #955009)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 12:19:40 -0400

font-manager (0.7.7-0.2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 11:32:32 -0400

font-manager (0.7.7-0.2~exp2) experimental; urgency=high

  * debian/control: Add "Breaks: " relationship against older
    font-manager packages. This fixes file conflict during
    upgrade.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Mar 2020 13:34:07 -0400

font-manager (0.7.7-0.2~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/: Merge with upstream packaging instructions:
    + Split package and provide font-manager and font-viewer
      in different packages.
    + Provide nautilus and nemo integration packages.
      (Closes: #955131)
  * debian/copyright: Update copyright information accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Mar 2020 13:04:48 -0400

font-manager (0.7.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.7.7.
    + Fix build error. (Closes: #949144)
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    + Migrate package to python3. (Closes: #890151, #936539)
    + Update Vcs-* fields and put Debian git packaging repo under
      Salsa fonts-team group.
    + Add Debian Fonts team into the uploaders list for team
      maintenance.
  * debian/rules: Clean up old build instructions.
  * debian/copyright: Update information.
  * debian/compat: Dropped, no longer necessary.
  * debian/source/options, debian/source/local-options: Dropped,
    useless now.
  * debian/patches: Drop all patches, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Mar 2020 23:46:50 -0400

=== debian/control ===
Source: font-manager
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 gobject-introspection,
 intltool,
 libcairo2-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.44),
 libgtk-3-dev (>= 3.22),
 libgucharmap-2-90-dev,
 libjson-glib-dev,
 libnautilus-extension-dev,
 libnemo-extension-dev,
 libpango1.0-dev,
 libsqlite3-dev,
 libxml2-dev,
 meson (>= 0.46),
 python3:any,
 valac (>= 0.42~),
 yelp-tools,
Standards-Version: 4.5.0
Homepage: https://fontmanager.github.io/
Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
Vcs-Browser: https://salsa.debian.org/fonts-team/font-manager

Package: font-manager
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 font-viewer (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 yelp
Suggests:
 file-roller,
 nautilus-font-manager,
 nemo-font-manager,
Description: font management application for the GNOME desktop
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.

Package: font-manager-common
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: font-manager (<< 0.7.7-0.2~),
Description: Common files for font-viewer and font-manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides the common shared files for font-viewer and
 font-manager packages.

Package: font-viewer
Architecture: any
Multi-Arch: no
Depends:
 font-manager-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: font-manager (<< 0.7.7-0.2~),
Description: Full-featured font preview application for GTK Environments
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides the font-viewer component of Font Manager.

Package: nautilus-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nautilus (>= 3.0),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: font-manager (<< 0.7.7-0.2~),
Description: Nautilus extension for Font Manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides integration with the Nautilus file manager for
 Font Manager.

Package: nemo-font-manager
Section: gnome
Architecture: any
Multi-Arch: same
Depends:
 font-viewer (= ${binary:Version}),
 nemo (>= 3.0),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: font-manager (<< 0.7.7-0.2~),
Description: Nemo extension for Font Manager
 Font Manager is intended to provide a way for average users to easily manage
 desktop fonts, without having to resort to command line tools or editing
 configuration files by hand. While designed primarily with the GNOME Desktop
 Environment in mind, it should work well with other Gtk+ desktop environments.
 .
 This package provides integration with the Nautilus file manager for
 Font Manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian \
		-name '*.la' -delete

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dnautilus=True \
	    -Dnemo=True

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## font-manager 0.7.8

=== meson_options.txt ===
option('manager', type: 'boolean', value: true, description: 'Install font-manager')
option('viewer', type: 'boolean', value: true, description: 'Install font-viewer')
option('nautilus', type: 'boolean', value: false, description: 'Install Nautilus extension')
option('nemo', type: 'boolean', value: false, description: 'Install Nemo extension')
option('enable-nls', type: 'boolean', value: true, description: 'Install translations')
option('yelp-doc', type: 'boolean', value: true, description: 'Install help documents')
option('reproducible', type: 'boolean', value: false, description: 'Make the build reproducible')

=== build-aux/Makefile ===

PACKAGE_NAME = font-manager
PACKAGE_VERSION = 0.7.8

ABS_TOP_SRCDIR = $(shell realpath ../)
ABS_SRCDIR = $(shell realpath .)
UNICODE_DATA_DIR = $(ABS_SRCDIR)/unicode/
PKG_LIB_DIR = $(ABS_TOP_SRCDIR)/lib

UNICODE_URL = http://www.unicode.org/Public
UNICODE_VERSION = 12.0.0
WGET = $(shell which wget)
WGETFLAGS = -np -nd -rc -P $(UNICODE_DATA_DIR)
UNZIP = $(shell which unzip)

UNICODE_FILES = \
	Blocks.txt \
	DerivedAge.txt \
	NamesList.txt \
	Scripts.txt \
	UnicodeData.txt \
	Unihan.zip \
	$(NULL)

UNICODE_SOURCES = \
	unicode-blocks.h \
	unicode-categories.h \
	unicode-names.h \
	unicode-nameslist.h \
	unicode-scripts.h \
	unicode-unihan.h \
	unicode-versions.h \
	$(NULL)

download-unicode-data:
	[ -e $(UNICODE_DATA_DIR) ] || mkdir -p $(UNICODE_DATA_DIR); \
	for f in $(UNICODE_FILES); \
	do \
		[ -e $(UNICODE_DATA_DIR)$${f} ] || \
		$(WGET) $(WGETFLAGS) "$(UNICODE_URL)/$(UNICODE_VERSION)/ucd/$${f}"; \
	done

unicode-headers: download-unicode-data
	PROG_UNZIP=$(UNZIP) ./gen-unicode-headers.pl $(UNICODE_VERSION) $(UNICODE_DATA_DIR) && \
	for f in $(UNICODE_SOURCES); \
	do \
		mv $${f} $(PKG_LIB_DIR)/unicode/; \
	done && \
	rm -rf $(UNICODE_DATA_DIR)

$(PACKAGE_NAME).pot:
	cd $(ABS_TOP_SRCDIR)  && \
	meson build && \
	ninja -C build font-manager-pot && \
	ninja -C build help-font-manager-pot && \
	cd $(ABS_SRCDIR)

$(PACKAGE_NAME)-license.h:
	cd license && \
	./genheader.py $(PKG_LIB_DIR)/common && \
	cd ..

$(PACKAGE_NAME)-vendor.h:
	cd vendor && \
	./genheader.py $(PKG_LIB_DIR)/common && \
	cd ..

update-headers: $(PACKAGE_NAME)-license.h $(PACKAGE_NAME)-vendor.h unicode-headers
update: update-headers $(PACKAGE_NAME).pot

rpm:
	@echo -e "\n**** Need to ensure build dependencies are installed\n";
	pkexec dnf install rpmdevtools
	pkexec dnf builddep $(ABS_TOP_SRCDIR)/fedora/$(PACKAGE_NAME).spec
	rpmdev-setuptree
	cp $(ABS_TOP_SRCDIR)/fedora/$(PACKAGE_NAME).spec ~/rpmbuild/SPECS/
	cd ~/rpmbuild/SPECS/ || exit && \
	spectool -g -R $(PACKAGE_NAME).spec && \
	rpmbuild -ba $(PACKAGE_NAME).spec

BUILD_DEPENDS = \
	build-essential \
	debhelper \
	valac \
	meson \
	libxml2-dev \
	libfreetype6-dev \
	libfontconfig1-dev \
	libglib2.0-dev \
	libjson-glib-dev \
	libcairo2-dev \
	libgtk-3-dev \
	libpango1.0-dev \
	libsqlite3-dev \
	libgirepository1.0-dev \
	yelp-tools \
	python \
	python-gobject \
	python-nautilus

deb:
	@echo -e '\n*** Need to ensure build dependencies are installed ***\n\n'
	pkexec apt install $(BUILD_DEPENDS)
	cd $(ABS_TOP_SRCDIR) || exit && \
	meson build && \
	ninja -C build dist && \
	cd build/meson-dist/ || exit && \
	tar -xvf $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz && \
	mv $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz \
	./$(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.xz && \
	cd $(PACKAGE_NAME)-$(PACKAGE_VERSION) || exit && \
	cp -R ../../../debian . && \
	dpkg-buildpackage -us -uc && \
	cd $(ABS_SRCDIR) || exit && \
	xdg-open ../build/meson-dist/

=== debian/changelog ===
font-manager (0.7.8-2) unstable; urgency=medium

  * debian/control: Fix package description for nemo-font-manager.
    (Closes: #966341)

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Jul 2020 14:31:33 -0400

font-manager (0.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jul 2020 21:30:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: font-manager
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ gettext,
  gobject-introspection,
  intltool,
  libcairo2-dev,
@@ -23,11 +23,12 @@
  libpango1.0-dev,
  libsqlite3-dev,
  libxml2-dev,
- meson (>= 0.46),
+ meson (>= 0.50~),
  python3:any,
  valac (>= 0.42~),
  yelp-tools,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://fontmanager.github.io/
 Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/font-manager
@@ -40,11 +41,11 @@
  font-viewer (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- yelp
 Suggests:
  file-roller,
  nautilus-font-manager,
  nemo-font-manager,
+ yelp,
 Description: font management application for the GNOME desktop
  Font Manager is intended to provide a way for average users to easily manage
  desktop fonts, without having to resort to command line tools or editing
@@ -118,5 +119,5 @@
  configuration files by hand. While designed primarily with the GNOME Desktop
  Environment in mind, it should work well with other Gtk+ desktop environments.
  .
- This package provides integration with the Nautilus file manager for
+ This package provides integration with the Nemo file manager for
  Font Manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --no-parallel

execute_after_dh_auto_install:
	find $(CURDIR)/debian \
		-name '*.la' -delete

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dnautilus=True \
	    -Dnemo=True

## font-manager 0.8.4

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.7.8
+PACKAGE_VERSION = 0.8.4
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)
@@ -8,7 +8,7 @@
 PKG_LIB_DIR = $(ABS_TOP_SRCDIR)/lib
 
 UNICODE_URL = http://www.unicode.org/Public
-UNICODE_VERSION = 12.0.0
+UNICODE_VERSION = 13.0.0
 WGET = $(shell which wget)
 WGETFLAGS = -np -nd -rc -P $(UNICODE_DATA_DIR)
 UNZIP = $(shell which unzip)
@@ -94,9 +94,14 @@
 	libsqlite3-dev \
 	libgirepository1.0-dev \
 	yelp-tools \
-	python \
-	python-gobject \
-	python-nautilus
+	python3 \
+	python-gi-dev \
+	python3-nautilus \
+	libsoup2.4-dev \
+	libwebkit2gtk-4.0-dev \
+	libnautilus-extension-dev \
+	libnemo-extension-dev \
+	libthunarx-3-dev
 
 deb:
 	@echo -e '\n*** Need to ensure build dependencies are installed ***\n\n'

=== debian/changelog ===
font-manager (0.8.4-1) unstable; urgency=medium

  * New upstream release. 
  * Bump meson version requirement to 0.53+.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Feb 2021 15:19:19 -0500

font-manager (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Dec 2020 22:02:31 -0500

font-manager (0.7.9-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Oct 2020 17:07:58 -0400

font-manager (0.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Add new thunar-font-manager package for thunar file manager
    integration.
  * debian/patches: Drop reproducible patch, merged upstream by
    introducing a build-time option.
  * debian/rules: Enable build-time reproducible option.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Oct 2020 11:33:43 -0400

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,16 @@
  libnautilus-extension-dev,
  libnemo-extension-dev,
  libpango1.0-dev,
+ libsoup2.4-dev,
  libsqlite3-dev,
+ libthunarx-3-dev,
+ libwebkit2gtk-4.0-dev,
  libxml2-dev,
- meson (>= 0.50~),
+ meson (>= 0.53~),
  python3:any,
  valac (>= 0.42~),
  yelp-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://fontmanager.github.io/
 Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
@@ -121,3 +124,21 @@
  .
  This package provides integration with the Nemo file manager for
  Font Manager.
+
+Package: thunar-font-manager
+Section: xfce
+Architecture: any
+Multi-Arch: same
+Depends:
+ font-manager (= ${binary:Version}),
+ thunar (>= 1.8),
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: Thunar extension for Font Manager
+ Font Manager is intended to provide a way for average users to easily manage
+ desktop fonts, without having to resort to command line tools or editing
+ configuration files by hand. While designed primarily with the GNOME Desktop
+ Environment in mind, it should work well with other Gtk+ desktop environments.
+ .
+ This package provides integration with the Thunar file manager for
+ Font Manager.

## font-manager 0.8.7

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.8.4
+PACKAGE_VERSION = 0.8.7
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)

=== debian/changelog ===
font-manager (0.8.7-1~mx21+1) mx; urgency=medium

  * Initial backport packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 06 Sep 2021 22:10:16 -0400

font-manager (0.8.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Aug 2021 18:47:58 -0400

font-manager (0.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Aug 2021 10:21:10 -0400

font-manager (0.8.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Apr 2021 23:40:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: font-manager
 Section: graphics
 Priority: optional
-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 %:
 	dh $@ --no-parallel
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 execute_after_dh_auto_install:
 	find $(CURDIR)/debian \
 		-name '*.la' -delete
@@ -22,4 +25,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -Dnautilus=True \
-	    -Dnemo=True
+	    -Dnemo=True \
+	    -Dthunar=True \
+	    -Dreproducible=True

## font-manager 0.8.8

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 option('viewer', type: 'boolean', value: true, description: 'Install font-viewer')
 option('nautilus', type: 'boolean', value: false, description: 'Install Nautilus extension')
 option('nemo', type: 'boolean', value: false, description: 'Install Nemo extension')
+option('thunar', type: 'boolean', value: false, description: 'Install Thunar extension')
 option('enable-nls', type: 'boolean', value: true, description: 'Install translations')
 option('yelp-doc', type: 'boolean', value: true, description: 'Install help documents')
+option('gtk-doc', type: 'boolean', value: false, description: 'Install API documentation')
 option('reproducible', type: 'boolean', value: false, description: 'Make the build reproducible')
+option('search-provider', type: 'boolean', value: true, description: 'Install GNOME shell search provider')
+option('webkit', type: 'boolean', value: true, description: 'Google Fonts Integration')

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.8.7
+PACKAGE_VERSION = 0.8.8
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)
@@ -17,7 +17,6 @@
 	Blocks.txt \
 	DerivedAge.txt \
 	NamesList.txt \
-	Scripts.txt \
 	UnicodeData.txt \
 	Unihan.zip \
 	$(NULL)
@@ -27,7 +26,6 @@
 	unicode-categories.h \
 	unicode-names.h \
 	unicode-nameslist.h \
-	unicode-scripts.h \
 	unicode-unihan.h \
 	unicode-versions.h \
 	$(NULL)

=== debian/changelog ===
font-manager (0.8.8-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:53:24 +0000

font-manager (0.8.8-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:21:26 +0000

font-manager (0.8.8-4) unstable; urgency=medium

  * debian/patches/libsoup3.patch: Add patch from upstream to switch
    to libsoup-3 and libwebkitgtk-4.1. (Closes: #1061412)

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Feb 2024 21:17:37 -0500

font-manager (0.8.8-3) unstable; urgency=medium

  * Clean up lintian warnings:
    + Build-Depends: libfontconfig1-dev => libfontconfig-dev.
    + Build-Depends: libfreetype6-dev => libfreetype-dev.
    + superfluous-file-pattern in debian/copyright.
    + Build-Depends: python3:any => python3.
  * debian/copright: Use SPDX identifiers.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:44:22 -0400

font-manager (0.8.8-2) unstable; urgency=medium

  * Team upload

  [ Jesús Soto ]
  * Remove nautilus extension since it's not compatible with nautilus
    43 (which uses GTK4 now)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 17:17:22 -0400

font-manager (0.8.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop all backported patches.
  * debian/copyright: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Feb 2022 12:49:47 -0500

font-manager (0.8.7-2) unstable; urgency=high

  * Add patch to fix FTBFS with Vala 0.54.1. (Closes: #997226)
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Oct 2021 12:16:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: font-manager
 Section: graphics
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -11,27 +11,26 @@
  gobject-introspection,
  intltool,
  libcairo2-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgtk-3-dev (>= 3.22),
  libgucharmap-2-90-dev,
  libjson-glib-dev,
- libnautilus-extension-dev,
  libnemo-extension-dev,
  libpango1.0-dev,
- libsoup2.4-dev,
+ libsoup-3.0-dev,
  libsqlite3-dev,
  libthunarx-3-dev,
- libwebkit2gtk-4.0-dev,
+ libwebkit2gtk-4.1-dev,
  libxml2-dev,
  meson (>= 0.53~),
- python3:any,
+ python3,
  valac (>= 0.42~),
  yelp-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://fontmanager.github.io/
 Vcs-Git: https://salsa.debian.org/fonts-team/font-manager.git
@@ -47,7 +46,6 @@
  ${shlibs:Depends},
 Suggests:
  file-roller,
- nautilus-font-manager,
  nemo-font-manager,
  yelp,
 Description: font management application for the GNOME desktop
@@ -88,25 +86,6 @@
  .
  This package provides the font-viewer component of Font Manager.
 
-Package: nautilus-font-manager
-Section: gnome
-Architecture: any
-Multi-Arch: same
-Depends:
- font-viewer (= ${binary:Version}),
- nautilus (>= 3.0),
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks: font-manager (<< 0.7.7-0.2~),
-Description: Nautilus extension for Font Manager
- Font Manager is intended to provide a way for average users to easily manage
- desktop fonts, without having to resort to command line tools or editing
- configuration files by hand. While designed primarily with the GNOME Desktop
- Environment in mind, it should work well with other Gtk+ desktop environments.
- .
- This package provides integration with the Nautilus file manager for
- Font Manager.
-
 Package: nemo-font-manager
 Section: gnome
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,13 @@
 %:
 	dh $@ --no-parallel
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 execute_after_dh_auto_install:
 	find $(CURDIR)/debian \
 		-name '*.la' -delete
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -Dnautilus=True \
+	    -Dnautilus=False \
 	    -Dnemo=True \
 	    -Dthunar=True \
 	    -Dreproducible=True

## font-manager 0.8.9

=== build-aux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE_NAME = font-manager
-PACKAGE_VERSION = 0.8.8
+PACKAGE_VERSION = 0.8.9
 
 ABS_TOP_SRCDIR = $(shell realpath ../)
 ABS_SRCDIR = $(shell realpath .)
@@ -8,7 +8,7 @@
 PKG_LIB_DIR = $(ABS_TOP_SRCDIR)/lib
 
 UNICODE_URL = http://www.unicode.org/Public
-UNICODE_VERSION = 13.0.0
+UNICODE_VERSION = 15.1.0
 WGET = $(shell which wget)
 WGETFLAGS = -np -nd -rc -P $(UNICODE_DATA_DIR)
 UNZIP = $(shell which unzip)
@@ -95,7 +95,7 @@
 	python3 \
 	python-gi-dev \
 	python3-nautilus \
-	libsoup2.4-dev \
+	libsoup3.0-dev \
 	libwebkit2gtk-4.0-dev \
 	libnautilus-extension-dev \
 	libnemo-extension-dev \

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: font-manager
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
